---
updatedAt: 2026-01-30T13:30:03.000Z
agentTools:
  projectIndex: https://developers.kaleyra.io/llms.txt
---

# Get Call Consent Status

Get Method

The **Get Call Consent Status** API allows you to get the consent details of end user mobile numbers for outbound voice calling for WhatsApp Business Numbers.

## Prerequisites

1. Know Your Customer (KYC) approval is mandatory. For more information on submission and approval, see [Completing the Know Your Customer](https://developers.kaleyra.io/docs/document-submission-and-approval) page.
2. For prepaid customers, the credit balance should be sufficient to purchase numbers, make and receive calls, and monthly subscription charges. For more information on balance details, see [Adding Credits](https://developers.kaleyra.io/docs/adding-credits) page.
3. You must have Proof of Business/Business Address and Proof of Identification (Individual/Company-Signatory) depending on the regulations of that particular region or country.
4. Before you get started, [Create an API Key](https://developers.kaleyra.io/docs/generating-an-api-key). To view the API Key and the SID, see[ View API Key and SID](https://developers.kaleyra.io/docs/view-api-key-and-sid).\
   A prerequisite for using Kaleyra WhatsApp APIs is to have an active WhatsApp plan on Kaleyra platform.
5. To set up a WhatsApp account on Kaleyra platform, see [Manual Signup](https://developers.kaleyra.io/docs/manual-signup)\
   and [Embedded Signup](https://developers.kaleyra.io/docs/embedded-signup).
6. An active WhatsApp for Business API plan that includes:
   * A WhatsApp verified and approved profile.
   * A WABA ID onboarded on Kaleyra WhatsApp API.

## Base URL

`https://<api_domain>/v2/<SID>`

## API Domain and Value

| api\_domain | Value             |
| :---------- | :---------------- |
| IN pod      | api.in.kaleyra.io |
| SG Pod      | api.ap.kaleyra.io |
| EU Pod      | api.eu.kaleyra.io |

## API Request to Get Call Consent Status

To get the call consent status of the end user numbers, use the `https://<api_domain>/v2/<sid>/whatsapp/call_permissions` endpoint with the following request method:

## Request Format

The following is the request format to get call consent status:

```curl
curl --location --request GET  'https://<api_domain>/v2/<sid>/whatsapp/call_permissions?business_phone_number=<business_phone_number>,<business_phone_number1>&user_phone_number=<user_phone_number>,<user_phone_number1>&limit=<limit>&offset=<offset>' \
--header 'api-key:<api-key>'
```

## Sample Request Format

The following is the sample request format to get call consent status:

```curl
curl --location --request GET  'https://api.in.kaleyra.io/v2/HXAP16XXXXXX97IN/whatsapp/call_permissions?business_phone_number=+9120XXXXX472,+9120XXXXX476&user_phone_number=+91XXXXXXXX95, +91XXXXXXXX96&limit=10&offset=2' \
--header 'api-key: AXXXXXXXXXXXXXXXXXXXXXXXXX3'
```

## URL Parameters and Headers

The following is the list of parameters and headers to send the outgoing message request:

| Parameter / Headers | Data Type | Description                                | Example                     | Mandatory? |
| :------------------ | :-------- | :----------------------------------------- | :-------------------------- | :--------- |
| `sid`               | String    | Account SID (Security Identifier).         | HXAP16XXXXXX97IN            | Yes        |
| `api-key`           | String    | API key generated from kaleyra.io account. | AXXXXXXXXXXXXXXXXXXXXXXXXX3 | Yes        |

The following is the list of attributes to be added to the query parameters to get call consent status API:

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Data Type
      </th>

      <th>
        Description
      </th>

      <th>
        Example
      </th>

      <th>
        Mandatory?
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `business_phone_number`
      </td>

      <td>
        String
      </td>

      <td>
        WhatsApp business phone number for which you want to check the permissions.
      </td>

      <td>
        +9120XXXXX472, +9120XXXXX476
      </td>

      <td>
        No
      </td>
    </tr>

    <tr>
      <td>
        `user_phone_number`
      </td>

      <td>
        String
      </td>

      <td>
        Phone number of the end user for which you want to check the permission to receive call by the WhatsApp Business Phone number.
      </td>

      <td>
        +91XXXXXXXX95, +91XXXXXXXX96
      </td>

      <td>
        No
      </td>
    </tr>

    <tr>
      <td>
        `limit`
      </td>

      <td>
        Integer
      </td>

      <td>
        Limit the number of responses in output. Note: If the value is not provided, by default the value is set to 25.
      </td>

      <td>
        10
      </td>

      <td>
        No
      </td>
    </tr>

    <tr>
      <td>
        `offset`
      </td>

      <td>
        Integer
      </td>

      <td>
        Indicates the starting index in the list of fetched objects returned in the response.
        Note: If the value is not provided, it defaults to zero.
      </td>

      <td>
        2
      </td>

      <td>
        No
      </td>
    </tr>
  </tbody>
</Table>

## Sample Success Response

The following is the sample success response.

```json
{
    "code": "WA200",
    "message": "Request Processed Successfully",
    "data": [
        {
            "business_phone_number": "+9120XXXXX472",
            "user_phone_number": "+91XXXXXXXX95",
            "can_perform_action": true,
            "response": "accept",
            "is_permanent": true,
            "response_source": "user_action",
            "expiration_timestamp": "2025-12-16T08:56:41Z"
        }
    ],
    "error": {},
    "limit": 25,
    "offset": 0,
    "total": 1
}
```

## Response Parameters

The following is the list of parameters shown in the API response:

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Data Type
      </th>

      <th>
        Description
      </th>

      <th>
        Example
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        code
      </td>

      <td>
        String
      </td>

      <td>
        The response code for the request was sent.
      </td>

      <td>
        WA200
      </td>
    </tr>

    <tr>
      <td>
        message
      </td>

      <td>
        String
      </td>

      <td>
        The response message corresponds to the response code.
      </td>

      <td>
        Request Processed Successfully.
      </td>
    </tr>

    <tr>
      <td>
        data
      </td>

      <td>
        Object
      </td>

      <td>
        Array of the objects returned by the API response with details of the WhatsApp Business Phone Number returned.
      </td>

      <td>
        See the specific table below for details.
      </td>
    </tr>

    <tr>
      <td>
        error
      </td>

      <td>
        Array
      </td>

      <td>
        The error list associated with the response.
      </td>

      <td>
        { }
      </td>
    </tr>

    <tr>
      <td>
        limit
      </td>

      <td>
        Integer
      </td>

      <td>
        The number of templates shown in the GET response. The default value is 25.
      </td>

      <td>
        25
      </td>
    </tr>

    <tr>
      <td>
        offset
      </td>

      <td>
        Integer
      </td>

      <td>
        Indicates the starting index in the list of fetched objects returned in the response.
        Note: If the value is not provided, it defaults to zero.
      </td>

      <td>
        0
      </td>
    </tr>

    <tr>
      <td>
        total
      </td>

      <td>
        Integer
      </td>

      <td>
        The count of the phone numbers is recorded in the response output.
      </td>

      <td>
        1
      </td>
    </tr>
  </tbody>
</Table>

## Data object Parameters

The following is the list of parameters for `Data` object in the API response.

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Data Type
      </th>

      <th>
        Description
      </th>

      <th>
        Example
      </th>

      <th>
        Mandatory?
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `business_phone number`
      </td>

      <td>
        String
      </td>

      <td>
        The WhatsApp Business Phone number for which permission has been checked.
      </td>

      <td>
        +9120XXXXX472
      </td>

      <td>
        Yes
      </td>
    </tr>

    <tr>
      <td>
        `user_phone_number`
      </td>

      <td>
        String
      </td>

      <td>
        The end-user Phone number for which the permission has been checked.
      </td>

      <td>
        +91XXXXXXXX95
      </td>

      <td>
        Yes
      </td>
    </tr>

    <tr>
      <td>
        `can_perform_action`
      </td>

      <td>
        Boolean
      </td>

      <td>
        Indicates if the client can call the end user.
      </td>

      <td>
        true
      </td>

      <td>
        Yes
      </td>
    </tr>

    <tr>
      <td>
        `response`
      </td>

      <td>
        String
      </td>

      <td>
        Indicates the response status. It is either set to `accept` or `reject`.  
        **accept** - Indicates that the end user has given either permanent or temporary consent for voice call.
        **reject** - Indicates that the end user has not given consent for voice call.
        Note: When the response is rejected, can_perform_action is always set to false. When the response is accepted, can_perform_action may be either true or false.
      </td>

      <td>
        accept
      </td>

      <td>
        Yes
      </td>
    </tr>

    <tr>
      <td>
        is_permanent
      </td>

      <td>
        Boolean
      </td>

      <td>
        Indicates if permission is permanent.
      </td>

      <td>
        true
      </td>

      <td>
        Yes
      </td>
    </tr>

    <tr>
      <td>
        `response_source`
      </td>

      <td>
        String
      </td>

      <td>
        Source of the response. It is either `user_action`, `meta_api`, or `automatic`.
      </td>

      <td>
        user_action
      </td>

      <td>
        Yes
      </td>
    </tr>

    <tr>
      <td>
        `expiration_time_stamp`
      </td>

      <td>
        String
      </td>

      <td>
        Timestamp after which the permission expires. Time to Live (TTL).
      </td>

      <td>
        2025-12-16T08:56:41Z
      </td>

      <td>
        Yes
      </td>
    </tr>
  </tbody>
</Table>

## Sample Failure Response

The following are the failure response:

```json
401 Unauthorized
{
    "code": "RBC001",
    "message": "Incorrect SID or API key.",
    "data": [],
    "error": {
        "error": "Incorrect SID or API key."
    }
}
```

<br />